Subject: Re: tcsh hack for .exe & .com extensions
From: [email-masked] (Corinna Vinschen)

18 Dec 1998 11:01:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Patrick J. Fay" <[email-masked]>, [email-masked]

Patrick J. Fay wrote:
> 
> Hello Corinna,
> If you put:
> 
>   alias precmd 'unhash; unalias precmd'
> 
> in your .tcshrc, then you don't have any problems with .exe or .com
> extensions.

Yes, the unhash command was already documented by Sergey in relation
to his tcsh-6.06 port to b19.

This unfortunately doesn't solve the problem really. If you `unhash', the
hash table is empty and searching commands take more time. If you
are accustomed, to use the hash table (I am) you type a `rehash' after
copying a new command to one of the dirs in $PATH. After doing a
`rehash', this dosn't work anymore and you have to type `unhash' again.

IMHO, it's annoying, to have to care for such things. In my environment,
binaries don't have extensions like .exe. Any shell works, except cmd :-P

For those, who doesn't can without the extensions:
I have uploaded a patched tcsh, which deals with .exe and .com
extensions in it's hash list, to

ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin32/porters/Vinschen_Corinna/B20

named
	tcsh-6.08.00.x.tar.gz

> I can't remember how to post stuff like this to the list.

mailto:[email-masked]

Greetings,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".